%define		app_name	ct-ng

Name:		crosstool-ng
Version:	1.5.0
Release:	1%{?dist}
Summary:	Build toolchains for cross-compilation

Group:		Development/Tools
License:	GPLv2+
URL:		http://ymorin.is-a-geek.org/dokuwiki/projects/crosstool
Source0:	http://ymorin.is-a-geek.org/download/%{name}/%{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	ncurses-devel, bison, flex, texinfo, automake, libtool, cvs

%description
Crosstool Next Generation is all-in-one solution for generating
toolchains for cross-compilation.

The tool allows a developer to select and build specific versions
of the tools (gcc, g++, glibc/eglibc, etc.)

Samples of working configurations are included and can be located
in the %{_datadir}/%{app_name}-%{version}/samples directory.


%prep
%setup -q -n %{name}.%{version}


%build
# The following configure script was *NOT* generated by autoconf.
# It only support a small set of options.
# Also, it uses 'libdir', but its a 'noarch' package, so we cheat.
./configure --prefix=%{_prefix} --libdir=%{_datadir}/%{app_name}-%{version}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_datadir}/%{app_name}-%{version}/scripts/populate.in

# Installed later via doc macro
rm -f $RPM_BUILD_ROOT/%{_docdir}/%{app_name}-%{version}/CREDITS
rm -f $RPM_BUILD_ROOT/%{_docdir}/%{app_name}-%{version}/overview.txt


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/%{app_name}
%{_datadir}/%{app_name}-%{version}
%{_mandir}/man1/%{app_name}.1*
%doc COPYING docs/CREDITS docs/overview.txt docs/known-issues.txt


%changelog
* Tue Oct 13 2009 Oron Peled <oron@actcom.co.il> - 1.5.0-1
  - New upstream version
  - Remove the populate patches after discussing with upstream
* Tue Aug 25 2009 Oron Peled <oron@actcom.co.il> - 1.4.2-2
  Configure ./scripts/populate during build time. Than
  during runtime (toolchain build) only configure CT_TARGET
  and output to the final ${CT_TARGET}-populate script.
* Mon Aug 24 2009 Oron Peled <oron@actcom.co.il> - 1.4.2-1
  Initial packaging.
